## Public API Reference

- Main Page
- Modules
- Namespaces
- Classes
- Files
- Related Pages

- Alphabetical List
- Class List
- Class Hierarchy
- Class Members

# iExplosionState Struct Reference
[Mesh plugins, Mesh plugins]

This interface describes the API for the explosion mesh object. More...

`#include <imesh/explode.h>`

Inheritance diagram for iExplosionState:

[legend]
List of all members.

## Public Member Functions

virtual const csVector3 & | GetCenter () const =0
| Get the explosion center.
virtual bool | GetFadeSprites (csTicks &fade_time) const =0
| See if particles are faded (returns true), and returns fade time too.
virtual bool | GetLighting () const =0
| See if lighting is enabled or disabled.
virtual int | GetNrSides () const =0
| Get the number of sides.
virtual int | GetParticleCount () const =0
| Get the number of particles.
virtual float | GetPartRadius () const =0
| Get the radius of all particles.
virtual const csVector3 & | GetPush () const =0
| Get the push vector.
virtual float | GetSpreadAcceleration () const =0
| Get the spread acceleration.
virtual float | GetSpreadPos () const =0
| Get the spread position.
virtual float | GetSpreadSpeed () const =0
| Get the spread speed.
virtual void | SetCenter (const csVector3 &center)=0
| Set the explosion center.
virtual void | SetFadeSprites (csTicks fade_time)=0
| Set particles to be scaled to nothing starting at fade_particles msec before self-destruct.
virtual void | SetLighting (bool l)=0
| Enable or disable lighting.
virtual void | SetNrSides (int nr_sides)=0
| Set the number of sides.
virtual void | SetParticleCount (int num)=0
| Set the number of particles to use.
virtual void | SetPartRadius (float part_radius)=0
| Set the radius of all particles.
virtual void | SetPush (const csVector3 &push)=0
| Set the push vector.
virtual void | SetSpreadAcceleration (float spread_accel)=0
| Set the spread acceleration.
virtual void | SetSpreadPos (float spread_pos)=0
| Set the spread position.
virtual void | SetSpreadSpeed (float spread_speed)=0
| Set the spread speed.

## Detailed Description

This interface describes the API for the explosion mesh object.

Definition at line 39 of file explode.h.

## Member Function Documentation

virtual const csVector3& iExplosionState::GetCenter | ( |  | ) | const`[pure virtual]`

| Get the explosion center.

virtual bool iExplosionState::GetFadeSprites | ( | csTicks & | fade_time | ) | const`[pure virtual]`

| See if particles are faded (returns true), and returns fade time too.

virtual bool iExplosionState::GetLighting | ( |  | ) | const`[pure virtual]`

| See if lighting is enabled or disabled.

virtual int iExplosionState::GetNrSides | ( |  | ) | const`[pure virtual]`

| Get the number of sides.

virtual int iExplosionState::GetParticleCount | ( |  | ) | const`[pure virtual]`

| Get the number of particles.

virtual float iExplosionState::GetPartRadius | ( |  | ) | const`[pure virtual]`

| Get the radius of all particles.

virtual const csVector3& iExplosionState::GetPush | ( |  | ) | const`[pure virtual]`

| Get the push vector.

virtual float iExplosionState::GetSpreadAcceleration | ( |  | ) | const`[pure virtual]`

| Get the spread acceleration.

virtual float iExplosionState::GetSpreadPos | ( |  | ) | const`[pure virtual]`

| Get the spread position.

virtual float iExplosionState::GetSpreadSpeed | ( |  | ) | const`[pure virtual]`

| Get the spread speed.

virtual void iExplosionState::SetCenter | ( | const csVector3 & | center | ) | `[pure virtual]`

| Set the explosion center.

virtual void iExplosionState::SetFadeSprites | ( | csTicks | fade_time | ) | `[pure virtual]`

| Set particles to be scaled to nothing starting at fade_particles msec before self-destruct.

virtual void iExplosionState::SetLighting | ( | bool | l | ) | `[pure virtual]`

| Enable or disable lighting.

virtual void iExplosionState::SetNrSides | ( | int | nr_sides | ) | `[pure virtual]`

| Set the number of sides.

virtual void iExplosionState::SetParticleCount | ( | int | num | ) | `[pure virtual]`

| Set the number of particles to use.

virtual void iExplosionState::SetPartRadius | ( | float | part_radius | ) | `[pure virtual]`

| Set the radius of all particles.

virtual void iExplosionState::SetPush | ( | const csVector3 & | push | ) | `[pure virtual]`

| Set the push vector.

virtual void iExplosionState::SetSpreadAcceleration | ( | float | spread_accel | ) | `[pure virtual]`

| Set the spread acceleration.

virtual void iExplosionState::SetSpreadPos | ( | float | spread_pos | ) | `[pure virtual]`

| Set the spread position.

virtual void iExplosionState::SetSpreadSpeed | ( | float | spread_speed | ) | `[pure virtual]`

| Set the spread speed.

The documentation for this struct was generated from the following file:

- imesh/explode.h